Configurar dlls no PHP4+Win+Apache

Enviada por Julio Cesar Ferdinando 
Julio Cesar Ferdinando
Configurar dlls no PHP4+Win+Apache
27 de November de 2000 às 07:10PM
Caro Pedro !


Sou iniciante em PHP, instalei o PHP4 em minha máquina mas não consigo carregar as dlls como por exemplo php_oci.dll. Já configurei o extensions_dir para o diretório onde elas estão mas o php não as encontra.

Uso PHP4+Win98+Apache.


Desde já agradeço !!


Julio Cesar
[julioqualy@ig.com.br]
João Prado Maia
RE: Configurar dlls no PHP4+Win+Apache
27 de November de 2000 às 08:01PM
Onde você está colocando o php.ini ? Eu tive um problema similar com a dll das funções de FTP, e só consegui que as mesmas funcionassem quando eu mudei a configuração numa cópia do php.ini que eu tinha no C:\php

Tente isso e veja se funciona.

Joao
Julio Cesar Ferdinando
RE: Configurar dlls no PHP4+Win+Apache
28 de November de 2000 às 08:38AM
caro joão !!

Meu php.ini está no diretorio c:\windows

o seu está no c:\php ??

Julio
João Prado Maia
RE: Configurar dlls no PHP4+Win+Apache
28 de November de 2000 às 12:30PM
Na verdade eu tenho 2 ;)

Um que fica no c:\windows e outro no c:\php. Não me pergunte porque, mas quando eu mudei o diretório das dlls no arquivo que fica no c:\php, as coisas começaram a funcionar.

Depois disso eu nunca mais mudei minha configuração, então o mistério ficou do jeito que estava, e continua assim :)

Joao
Julio Cesar Ferdinando
RE: Configurar dlls no PHP4+Win+Apache
29 de November de 2000 às 04:58PM
Caro João !!

Desculpe a insistência mais você colocou o que no extension_dir do php.ini??
Pois já coloquei as dls no diretório do php, windows e nada de funcionar.

Julio.
João Prado Maia
RE: Configurar dlls no PHP4+Win+Apache
29 de November de 2000 às 05:24PM
O "extension_dir" do C:\php\php3.ini tem isso :

extension_dir = ./

Joao
Julio Cesar Ferdinando
RE: Configurar dlls no PHP4+Win+Apache
01 de December de 2000 às 03:09PM
Caro amigo !!!


Que versão do PHP você está usando ???
João Prado Maia
RE: Configurar dlls no PHP4+Win+Apache
02 de December de 2000 às 02:23AM
Estou usando localmente no meu Laptop a versão PHP3.0.17. Como um dos meus sites utilizava PHP3, e eu desenvolvia no meu computador pessoal e depois fazia o upload dos novos scripts, eu precisava testar de alguma forma com a mesma versão do PHP.

Eu mesmo assim recomendo a qualquer um a usar as novas versões do PHP, pois são muito mais eficientes.

Joao
Você precisa estar logado no PHPBrasil.com para poder enviar mensagens para os nossos fóruns.

Faça o login aqui.